%global srcname astral

Name:           nodejs-%{srcname}
Version:        0.1.0
Release:        7%{?dist}
Summary:        AST tooling framework for JavaScript
License:        MIT
# License file requested: https://github.com/btford/astral/issues/6
URL:            https://github.com/btford/astral
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging


%description
AST tooling framework for JavaScript focused on modularity and performance. 
The goal is to make it easy to create, share, and combine tools that operate on 
ASTs. The architecture inspired by llvm.

%prep
%setup -q -n package
rm -rf node_modules/
%nodejs_fixdep clone


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.1.0-5
- Fixdep clone

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Dec 20 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.1.0-3
- fixdep

* Sat Dec  6 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.1.0-2
- License file requested
- Added rm -rf node_modules/
- Removed Group tag

* Fri Nov 21 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.1.0-1
- Initial package
